#!/bin/sh

set -e

case "$1" in
    configure)
	# generate a certificate if it's missing
	if [ ! -e /usr/share/powershell-empire/empire/server/data/empire-priv.key ]; then
	    cd /usr/share/powershell-empire/setup && ./cert.sh
	fi

	if dpkg --compare-versions "$2" lt 3.7.0 && [ -e /var/lib/powershell-empire/empire.db ]; then
	    mv /var/lib/powershell-empire/empire.db /var/lib/powershell-empire/empire-old.db
	fi
	if dpkg --compare-versions "$2" lt-nl 4.0.0~ && [ -e /var/lib/powershell-empire/empire.db ]; then
	    cp -f /var/lib/powershell-empire/empire.db /var/lib/powershell-empire/empire-old.db
	    yes | powershell-empire server --reset
	fi
	# database changed
	if dpkg --compare-versions "$2" lt-nl 5.0.0~ && [ -e /var/lib/powershell-empire/empire.db ]; then
           mv /var/lib/powershell-empire/empire.db /var/lib/powershell-empire/empire-old.db
           yes | powershell-empire server --reset
       fi
    ;;

esac

#DEBHELPER#

exit 0
